## com.icl.saxon.om
Class DocumentBuilderImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilder
            |
            +--com.icl.saxon.om.DocumentBuilderImpl

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder

Constructor Summary
`DocumentBuilderImpl()`

Method Summary
`org.w3c.dom.DOMImplementation` `getDOMImplementation()`
`boolean` `isNamespaceAware()`
`boolean` `isValidating()`
`org.w3c.dom.Document` `newDocument()`
`org.w3c.dom.Document` `parse(org.xml.sax.InputSource in)`
`void` `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` `setErrorHandler(org.xml.sax.ErrorHandler er)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderImpl

    public DocumentBuilderImpl()

Method Detail

### isNamespaceAware

    public boolean isNamespaceAware()

  Overrides:
    `isNamespaceAware` in class `javax.xml.parsers.DocumentBuilder`

### isValidating

    public boolean isValidating()

  Overrides:
    `isValidating` in class `javax.xml.parsers.DocumentBuilder`

### newDocument

    public org.w3c.dom.Document newDocument()

  Overrides:
    `newDocument` in class `javax.xml.parsers.DocumentBuilder`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource in)
                               throws org.xml.sax.SAXException

  Overrides:
    `parse` in class `javax.xml.parsers.DocumentBuilder`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Overrides:
    `setEntityResolver` in class `javax.xml.parsers.DocumentBuilder`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler er)

  Overrides:
    `setErrorHandler` in class `javax.xml.parsers.DocumentBuilder`

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Overrides:
    `getDOMImplementation` in class `javax.xml.parsers.DocumentBuilder`